> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salvy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar número virtual por ID

> Busca uma linha virtual por ID

<Warning>Para utilizar nossas APIs e Webhooks de linhas virtuais, é necessário aderir ao nosso [manual de branding](/api-reference/branding)</Warning>

Este endpoint permite que empresas busquem um número virtual por ID.


## OpenAPI

````yaml GET /api/v2/virtual-phone-accounts/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Salvy API
  x-logo:
    url: web/logo.png
servers:
  - url: https://api.salvy.com.br
    description: Salvy API URL
security:
  - bearerAuth: []
tags:
  - name: Public API
  - name: Outgoing Webhooks
paths:
  /api/v2/virtual-phone-accounts/{id}:
    get:
      tags:
        - Public API
      description: Busca uma linha virtual por ID
      operationId: publicGetVirtualPhoneAccount
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $schema: https://json-schema.org/draft/2020-12/schema
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  id:
                    example: 0140a8c6-3815-45b7-9e60-8e137cad845c
                    title: UUID
                    type: string
                    description: A valid UUID string, in any version.
                    examples:
                      - 123e4567-e89b-12d3-a456-426614174000
                      - 123e4567-e89b-12d3-a456-426614174001
                  name:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      Identificador do número virtual. Utilize para facilitar a
                      gestão dos números virtuais.
                    example: meu-número-virtual
                  phoneNumber:
                    description: >-
                      Número virtual recém-criado, formatado conforme o padrão
                      internacional E.164.
                    example: '+551151231234'
                    title: PhoneNumberE164
                    type: string
                    examples:
                      - '+5511999999999'
                      - '+551139999999'
                  status:
                    type: string
                    enum:
                      - pending
                      - active
                      - blocked
                      - canceled
                  createdAt:
                    type: string
                    format: date-time
                  canceledAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  cancelReason:
                    anyOf:
                      - type: string
                      - type: 'null'
                  redirectPhoneNumber:
                    anyOf:
                      - description: >-
                          Número designado para receber chamadas direcionadas ao
                          número virtual recém-criado, formatado conforme o
                          padrão internacional E.164.
                        example: '+5511912341234'
                        title: PhoneNumberE164
                        type: string
                        examples:
                          - '+5511999999999'
                          - '+551139999999'
                      - type: 'null'
                  redirectExpiresAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                    description: Data de expiração do redirecionamento de chamadas.
                    example: '2024-01-03T00:00:00Z'
                  costCenter:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Centro de custo associado ao número virtual.
                    example: marketing
                  employeeId:
                    anyOf:
                      - title: UUID
                        type: string
                        description: A valid UUID string, in any version.
                        examples:
                          - 123e4567-e89b-12d3-a456-426614174000
                          - 123e4567-e89b-12d3-a456-426614174001
                      - type: 'null'
                    description: ID do colaborador associado ao número virtual.
                    example: 0140a8c6-3815-45b7-9e60-8e137cad845c
                  customFields:
                    type: array
                    items:
                      type: object
                      properties:
                        label:
                          type: string
                        type:
                          type: string
                          enum:
                            - text
                            - select
                        value:
                          type: string
                      required:
                        - label
                        - type
                        - value
                      additionalProperties: false
                    description: Campos customizados associados ao número virtual.
                required:
                  - id
                  - name
                  - phoneNumber
                  - status
                  - createdAt
                  - canceledAt
                  - cancelReason
                  - redirectPhoneNumber
                  - redirectExpiresAt
                  - costCenter
                  - employeeId
                  - customFields
                additionalProperties: false
        '401':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
        '403':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - resource-not-found
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
        '413':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - payload-too-large
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
        '422':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - input-validation-error
                      - unprocessable-entity
                      - company-not-active
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
        '500':
          description: ''
          content:
            application/json:
              schema:
                $schema: https://json-schema.org/draft/2020-12/schema
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unknown
                  message:
                    type: string
                  publicDetails:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - code
                  - message
                  - publicDetails
                additionalProperties: false
      deprecated: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: key

````